public static interface BrowseEndpointBuilderFactory.BrowseBuilders
| Modifier and Type | Method and Description |
|---|---|
default BrowseEndpointBuilderFactory.BrowseEndpointBuilder |
browse(String path)
Browse (camel-browse)
Inspect the messages received on endpoints supporting
BrowsableEndpoint.
|
default BrowseEndpointBuilderFactory.BrowseEndpointBuilder |
browse(String componentName,
String path)
Browse (camel-browse)
Inspect the messages received on endpoints supporting
BrowsableEndpoint.
|
default BrowseEndpointBuilderFactory.BrowseEndpointBuilder browse(String path)
browse:name
Path parameter: name (required)
A name which can be any string to uniquely identify the endpointpath - namedefault BrowseEndpointBuilderFactory.BrowseEndpointBuilder browse(String componentName, String path)
browse:name
Path parameter: name (required)
A name which can be any string to uniquely identify the endpointcomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel